bl_hid_report_t Struct Reference

Structure of a bootloader HID report. More...

`#include <bootloader_hid_report_ids.h>`

Collaboration diagram for bl_hid_report_t:
[legend]

## Data Fields

bl_hid_header_t | header
| Header of the report.
uint8_t | packet [kMinPacketBufferSize]
| The packet data that is transferred in the report.

## Detailed Description

Structure of a bootloader HID report.

## Field Documentation

bl_hid_header_t header

Header of the report.

uint8_t packet[kMinPacketBufferSize]

The packet data that is transferred in the report.

The documentation for this struct was generated from the following file:

- bootloader_hid_report_ids.h